VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec:

## Avaliable Methods
public method | get_source_type ()
public method | get_checksum_info ()
public method | set_name ()
public method | set_size ()
public method | set_checksum_info ()
public method | set_source_endpoint ()
public method | set_source_type ()
public method | new ()
public method | get_name ()
public method | get_size ()
public method | get_source_endpoint ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec` class describes the properties of the file to be uploaded.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::get_checksum_info | ( |  | ) |

Gets the value of 'checksum_info' property.

Return values

  checksum_info | - The current value of the field. The checksum of the file. If specified, the server will verify the checksum once the file is received. If there is a mismatch, the upload will fail. Optional#

Code:
click to view
# Number of lines of code in get_checksum_info: 4
sub get_checksum_info {
my ($self, %args) = @_;
return $self->{'checksum_info'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of the file being uploaded. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::get_size | ( |  | ) |

Gets the value of 'size' property.

Return values

  size | - The current value of the field. The file size, in bytes. Optional#

Code:
click to view
# Number of lines of code in get_size: 4
sub get_size {
my ($self, %args) = @_;
return $self->{'size'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::get_source_endpoint | ( |  | ) |

Gets the value of 'source_endpoint' property.

Return values

  source_endpoint | - The current value of the field. Location from which the Content Library Service will fetch the file, rather than requiring a client to upload the file. optional#

Code:
click to view
# Number of lines of code in get_source_endpoint: 4
sub get_source_endpoint {
my ($self, %args) = @_;
return $self->{'source_endpoint'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::get_source_type | ( |  | ) |

Gets the value of 'source_type' property.

Return values

  source_type | - The current value of the field. The source type (NONE, PUSH, PULL) from which the file content will be retrieved. SourceType#

Code:
click to view
# Number of lines of code in get_source_type: 4
sub get_source_type {
my ($self, %args) = @_;
return $self->{'source_type'};
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 33
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'source_type',
'case_map' => {
'PULL' => ['source_endpoint'],
'NONE' => [],
'PUSH' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{source_type} = $args{'source_type'};
$self->{source_endpoint} = $args{'source_endpoint'};
$self->{size} = $args{'size'};
$self->{checksum_info} = $args{'checksum_info'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec');
$self->set_binding_name('name' => 'com.vmware.content.library.item.updatesession.file.add_spec');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'source_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item::Updatesession', 'type_name' => 'File::SourceType'));
$self->set_binding_field('key' => 'source_endpoint', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'TransferEndpoint')));
$self->set_binding_field('key' => 'size', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'checksum_info', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'File::ChecksumInfo')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::set_checksum_info | ( |  | ) |

Sets the given value for 'checksum_info' property.

Parameters

  checksum_info | - New value for the field. The checksum of the file. If specified, the server will verify the checksum once the file is received. If there is a mismatch, the upload will fail.

Code:
click to view
# Number of lines of code in set_checksum_info: 5
sub set_checksum_info {
my ($self, %args) = @_;
$self->{'checksum_info'} = $args{'checksum_info'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of the file being uploaded.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::set_size | ( |  | ) |

Sets the given value for 'size' property.

Parameters

  size | - New value for the field. The file size, in bytes.

Code:
click to view
# Number of lines of code in set_size: 5
sub set_size {
my ($self, %args) = @_;
$self->{'size'} = $args{'size'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::set_source_endpoint | ( |  | ) |

Sets the given value for 'source_endpoint' property.

Parameters

  source_endpoint | - New value for the field. Location from which the Content Library Service will fetch the file, rather than requiring a client to upload the file.

Code:
click to view
# Number of lines of code in set_source_endpoint: 5
sub set_source_endpoint {
my ($self, %args) = @_;
$self->{'source_endpoint'} = $args{'source_endpoint'};
return;
}

public method Com::Vmware::Content::Library::Item::Updatesession::File::AddSpec::set_source_type | ( |  | ) |

Sets the given value for 'source_type' property.

Parameters

  source_type | - New value for the field. The source type (NONE, PUSH, PULL) from which the file content will be retrieved.

Code:
click to view
# Number of lines of code in set_source_type: 5
sub set_source_type {
my ($self, %args) = @_;
$self->{'source_type'} = $args{'source_type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/Updatesession/File.pm